## xkeysw 1.1-1.2

=== Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile.in generated automatically by automake 1.5 from Makefile.am.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



SHELL = /bin/sh

srcdir = .
top_srcdir = .
prefix = 
exec_prefix = ${prefix}

bindir = ${prefix}/usr/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/usr/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/usr/share/info
mandir = ${prefix}/usr/share/man
includedir = ${prefix}/include
oldincludedir = /usr/include
pkgdatadir = $(datadir)/xkeysw
pkglibdir = $(libdir)/xkeysw
pkgincludedir = $(includedir)/xkeysw
top_builddir = .

ACLOCAL = ${SHELL} /home/dima/xkeysw-1.0/missing --run aclocal
AUTOCONF = ${SHELL} /home/dima/xkeysw-1.0/missing --run autoconf
AUTOMAKE = ${SHELL} /home/dima/xkeysw-1.0/missing --run automake
AUTOHEADER = ${SHELL} /home/dima/xkeysw-1.0/missing --run autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL_PROGRAM}
INSTALL_HEADER = $(INSTALL_DATA)
transform = s,x,x,
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
AMTAR = ${SHELL} /home/dima/xkeysw-1.0/missing --run tar
AWK = mawk
CC = gcc
DEPDIR = .deps
EXEEXT = 
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LEX = flex
M4 = /usr/bin/m4
OBJEXT = o
PACKAGE = xkeysw
VERSION = 1.1
X_CFLAGS =  -I/usr/X11R6/include
X_EXTRA_LIBS = 
X_LIBS =  -L/usr/X11R6/lib
X_PRE_LIBS =  -lSM -lICE
YACC = bison -y
am__include = include
am__quote = 
install_sh = /home/dima/xkeysw-1.0/install-sh

SUBDIRS = keymaps

EXTRA_DIST = xkeyswrc makeconfig restore_us.sh configure AUTHORS COPYING\
 CREDITS TODO Changelog xkeysw-yacc.h xkeysw.1.in CP866.xkeyswrc KOI8.xkeyswrc\
 MSWIN.xkeyswrc xkeysw-config.in xkeysw-config.glade


bin_PROGRAMS = xkeysw test_xkeyswrc
bin_SCRIPTS = xkeysw-config
pkgdata_DATA = xkeysw-config.glade
man_MANS = xkeysw.1

xkeysw_SOURCES = xkeysw.c init.c init.h xwork.c xwork.h parse.c parse.h debug.h
xkeysw_LDADD = $(X_LIBS) $(X_EXTRA_LIBS) -lX11
test_xkeyswrc_SOURCES = test_xkeyswrc.c xkeysw-yacc.y xkeysw-lex.l xkeyswrc.h

YFLAGS = -d

CPPFLAGS =  -DPKGDATADIR=\"$(pkgdatadir)\"

AUTOMAKE_OPTIONS = foreign

MAINTAINERCLEANFILES = Makefile.in configure aclocal.m4 install-sh \
	missing mkinstalldirs xkeysw-lex.c xkeysw-yacc.c xkeysw-yacc.h \
	*.tar.gz


CLEANFILES = *~ xkeysw.1 xkeysw-config *.pyc xkeysw.ps
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_CLEAN_FILES =
bin_PROGRAMS = xkeysw$(EXEEXT) test_xkeyswrc$(EXEEXT)
PROGRAMS = $(bin_PROGRAMS)

am_test_xkeyswrc_OBJECTS = test_xkeyswrc.$(OBJEXT) xkeysw-yacc.$(OBJEXT) \
	xkeysw-lex.$(OBJEXT)
test_xkeyswrc_OBJECTS = $(am_test_xkeyswrc_OBJECTS)
test_xkeyswrc_LDADD = $(LDADD)
test_xkeyswrc_DEPENDENCIES =
test_xkeyswrc_LDFLAGS =
am_xkeysw_OBJECTS = xkeysw.$(OBJEXT) init.$(OBJEXT) xwork.$(OBJEXT) \
	parse.$(OBJEXT)
xkeysw_OBJECTS = $(am_xkeysw_OBJECTS)
xkeysw_DEPENDENCIES =
xkeysw_LDFLAGS =
SCRIPTS = $(bin_SCRIPTS)


DEFS =  -DPACKAGE=\"xkeysw\" -DVERSION=\"1.1\" -DYYTEXT_POINTER=1 -DSTDC_HEADERS=1 -DHAVE_SYS_WAIT_H=1 -DHAVE_MALLOC_H=1 -DHAVE_UNISTD_H=1 -DRETSIGTYPE=void -DHAVE_STRERROR=1 
DEFAULT_INCLUDES =  -I. -I$(srcdir)
LDFLAGS = 
LIBS = 
depcomp = $(SHELL) $(top_srcdir)/depcomp
DEP_FILES = $(DEPDIR)/init.Po $(DEPDIR)/parse.Po \
	$(DEPDIR)/test_xkeyswrc.Po $(DEPDIR)/xkeysw-lex.Po \
	$(DEPDIR)/xkeysw-yacc.Po $(DEPDIR)/xkeysw.Po \
	$(DEPDIR)/xwork.Po
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
CFLAGS = -g -O2 -Wall -Wno-implicit
LEXCOMPILE = $(LEX) $(LFLAGS) $(AM_LFLAGS)
YACCCOMPILE = $(YACC) $(YFLAGS) $(AM_YFLAGS)
DIST_SOURCES = $(test_xkeyswrc_SOURCES) $(xkeysw_SOURCES)

NROFF = nroff
MANS = $(man_MANS)
DATA = $(pkgdata_DATA)


RECURSIVE_TARGETS = info-recursive dvi-recursive install-info-recursive \
	uninstall-info-recursive all-recursive install-data-recursive \
	install-exec-recursive installdirs-recursive install-recursive \
	uninstall-recursive check-recursive installcheck-recursive
DIST_COMMON = README AUTHORS COPYING Makefile.am Makefile.in TODO \
	aclocal.m4 configure configure.in depcomp install-sh missing \
	mkinstalldirs xkeysw-lex.c xkeysw-yacc.c xkeysw-yacc.h
DIST_SUBDIRS = $(SUBDIRS)
SOURCES = $(test_xkeyswrc_SOURCES) $(xkeysw_SOURCES)

all: all-recursive

.SUFFIXES:
.SUFFIXES: .c .l .o .obj .y
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  Makefile
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && \
	  CONFIG_HEADERS= CONFIG_LINKS= \
	  CONFIG_FILES=$@ $(SHELL) ./config.status

$(top_builddir)/config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck
$(srcdir)/configure:  $(srcdir)/configure.in $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
	cd $(srcdir) && $(AUTOCONF)

$(ACLOCAL_M4):  configure.in 
	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  if test -f $$p \
	  ; then \
	    f=`echo $$p1|sed '$(transform);s/$$/$(EXEEXT)/'`; \
	   echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/$$f"; \
	   $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/$$f; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  f=`echo $$p|sed 's/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
	  echo " rm -f $(DESTDIR)$(bindir)/$$f"; \
	  rm -f $(DESTDIR)$(bindir)/$$f; \
	done

clean-binPROGRAMS:
	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
xkeysw-yacc.h: xkeysw-yacc.c
test_xkeyswrc$(EXEEXT): $(test_xkeyswrc_OBJECTS) $(test_xkeyswrc_DEPENDENCIES) 
	@rm -f test_xkeyswrc$(EXEEXT)
	$(LINK) $(test_xkeyswrc_LDFLAGS) $(test_xkeyswrc_OBJECTS) $(test_xkeyswrc_LDADD) $(LIBS)
xkeysw$(EXEEXT): $(xkeysw_OBJECTS) $(xkeysw_DEPENDENCIES) 
	@rm -f xkeysw$(EXEEXT)
	$(LINK) $(xkeysw_LDFLAGS) $(xkeysw_OBJECTS) $(xkeysw_LDADD) $(LIBS)
install-binSCRIPTS: $(bin_SCRIPTS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_SCRIPTS)'; for p in $$list; do \
	  f="`echo $$p|sed '$(transform)'`"; \
	  if test -f $$p; then \
	    echo " $(INSTALL_SCRIPT) $$p $(DESTDIR)$(bindir)/$$f"; \
	    $(INSTALL_SCRIPT) $$p $(DESTDIR)$(bindir)/$$f; \
	  elif test -f $(srcdir)/$$p; then \
	    echo " $(INSTALL_SCRIPT) $(srcdir)/$$p $(DESTDIR)$(bindir)/$$f"; \
	    $(INSTALL_SCRIPT) $(srcdir)/$$p $(DESTDIR)$(bindir)/$$f; \
	  else :; fi; \
	done

uninstall-binSCRIPTS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_SCRIPTS)'; for p in $$list; do \
	  f="`echo $$p|sed '$(transform)'`"; \
	  echo " rm -f $(DESTDIR)$(bindir)/$$f"; \
	  rm -f $(DESTDIR)$(bindir)/$$f; \
	done

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

include $(DEPDIR)/init.Po
include $(DEPDIR)/parse.Po
include $(DEPDIR)/test_xkeyswrc.Po
include $(DEPDIR)/xkeysw-lex.Po
include $(DEPDIR)/xkeysw-yacc.Po
include $(DEPDIR)/xkeysw.Po
include $(DEPDIR)/xwork.Po

distclean-depend:
	-rm -rf $(DEPDIR)

.c.o:
	source='$<' object='$@' libtool=no \
	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
	$(CCDEPMODE) $(depcomp) \
	$(COMPILE) -c `test -f $< || echo '$(srcdir)/'`$<

.c.obj:
	source='$<' object='$@' libtool=no \
	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
	$(CCDEPMODE) $(depcomp) \
	$(COMPILE) -c `cygpath -w $<`
CCDEPMODE = depmode=gcc

LEX_OUTPUT_ROOT = lex.yy
LEXLIB = -lfl

.l.c:
	$(LEXCOMPILE) $< && mv $(LEX_OUTPUT_ROOT).c $@

.y.c:
	$(YACCCOMPILE) $< && mv y.tab.c $@
	if test -f y.tab.h; then \
	  if cmp -s y.tab.h $*.h; then \
	    rm -f y.tab.h; \
	  else \
	    mv y.tab.h $*.h; \
	  fi; \
	fi
uninstall-info-am:

man1dir = $(mandir)/man1
install-man1: $(man1_MANS) $(man_MANS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(man1dir)
	@list='$(man1_MANS) $(dist_man1_MANS) $(nodist_man1_MANS)'; \
	l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
	for i in $$l2; do \
	  case "$$i" in \
	    *.1*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
	  else file=$$i; fi; \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
	  inst=`echo $$inst | sed -e 's/^.*\///'`; \
	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
	  echo " $(INSTALL_DATA) $$file $(DESTDIR)$(man1dir)/$$inst"; \
	  $(INSTALL_DATA) $$file $(DESTDIR)$(man1dir)/$$inst; \
	done
uninstall-man1:
	@$(NORMAL_UNINSTALL)
	@list='$(man1_MANS) $(dist_man1_MANS) $(nodist_man1_MANS)'; \
	l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
	for i in $$l2; do \
	  case "$$i" in \
	    *.1*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
	  inst=`echo $$inst | sed -e 's/^.*\///'`; \
	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
	  echo " rm -f $(DESTDIR)$(man1dir)/$$inst"; \
	  rm -f $(DESTDIR)$(man1dir)/$$inst; \
	done
install-pkgdataDATA: $(pkgdata_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(pkgdatadir)
	@list='$(pkgdata_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(INSTALL_DATA) $$d$$p $(DESTDIR)$(pkgdatadir)/$$f"; \
	  $(INSTALL_DATA) $$d$$p $(DESTDIR)$(pkgdatadir)/$$f; \
	done

uninstall-pkgdataDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(pkgdata_DATA)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f $(DESTDIR)$(pkgdatadir)/$$f"; \
	  rm -f $(DESTDIR)$(pkgdatadir)/$$f; \
	done

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@set fnord $(MAKEFLAGS); amf=$$2; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

mostlyclean-recursive clean-recursive distclean-recursive \
maintainer-clean-recursive:
	@set fnord $(MAKEFLAGS); amf=$$2; \
	dot_seen=no; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \
	  if test "$$subdir" = "."; then :; else \
	    rev="$$subdir $$rev"; \
	  fi; \
	done; \
	rev="$$rev ."; \

=== keymaps/Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile.in generated automatically by automake 1.5 from Makefile.am.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



SHELL = /bin/sh

srcdir = .
top_srcdir = ..
prefix = 
exec_prefix = ${prefix}

bindir = ${prefix}/usr/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/usr/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/usr/share/info
mandir = ${prefix}/usr/share/man
includedir = ${prefix}/include
oldincludedir = /usr/include
pkgdatadir = $(datadir)/xkeysw
pkglibdir = $(libdir)/xkeysw
pkgincludedir = $(includedir)/xkeysw
top_builddir = ..

ACLOCAL = ${SHELL} /home/dima/xkeysw-1.0/missing --run aclocal
AUTOCONF = ${SHELL} /home/dima/xkeysw-1.0/missing --run autoconf
AUTOMAKE = ${SHELL} /home/dima/xkeysw-1.0/missing --run automake
AUTOHEADER = ${SHELL} /home/dima/xkeysw-1.0/missing --run autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL_PROGRAM}
INSTALL_HEADER = $(INSTALL_DATA)
transform = s,x,x,
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
AMTAR = ${SHELL} /home/dima/xkeysw-1.0/missing --run tar
AWK = mawk
CC = gcc
DEPDIR = .deps
EXEEXT = 
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LEX = flex
M4 = /usr/bin/m4
OBJEXT = o
PACKAGE = xkeysw
VERSION = 1.1
X_CFLAGS =  -I/usr/X11R6/include
X_EXTRA_LIBS = 
X_LIBS =  -L/usr/X11R6/lib
X_PRE_LIBS =  -lSM -lICE
YACC = bison -y
am__include = include
am__quote = 
install_sh = /home/dima/xkeysw-1.0/install-sh

XMM_RESOURCES = jcuken-cp866.xmm jcuken-iso5.xmm yawerty-cyr.xmm\
 jcuken-cp1251.xmm jcuken-koi8.xmm yawerty-iso5.xmm jcuken-cyr.xmm\
 yawerty-cp866.xmm yawerty-koi8.xmm yawerty-cp1251.xmm


RC_RESOURCES = jcuken-cp866.rc jcuken-iso5.rc yawerty-cyr.rc\
 jcuken-cp1251.rc jcuken-koi8.rc yawerty-iso5.rc jcuken-cyr.rc\
 yawerty-cp866.rc yawerty-koi8.rc yawerty-cp1251.rc


pkgdata_DATA = $(XMM_RESOURCES) $(RC_RESOURCES)

LAYOUTS_CODES = jcuken-cp866.m4 jcuken-cp1251.m4 jcuken-cyr.m4 jcuken-iso5.m4\
 jcuken-koi8.m4 yawerty-cp866.m4 yawerty-cp1251.m4 yawerty-cyr.m4\
 yawerty-iso5.m4 yawerty-koi8.m4


LAYOUTS_AND_CODES = misc.m4 notice.m4 clear.m4 jcuken.m4 yawerty.m4\
 cp866.m4 cp1251.m4 iso5.m4 koi8.m4


EXTRA_DIST = $(pkgdata_DATA) $(LAYOUTS_AND_CODES) README.keymaps code-layout.sh

MAINTAINERCLEANFILES = $(pkgdata_DATA) Makefile.in *-*.m4

CLEANFILES = *~
subdir = keymaps
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_CLEAN_FILES =
DIST_SOURCES =
DATA = $(pkgdata_DATA)

DIST_COMMON = Makefile.am Makefile.in
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  keymaps/Makefile
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && \
	  CONFIG_HEADERS= CONFIG_LINKS= \
	  CONFIG_FILES=$(subdir)/$@ $(SHELL) ./config.status
uninstall-info-am:
install-pkgdataDATA: $(pkgdata_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(pkgdatadir)
	@list='$(pkgdata_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(INSTALL_DATA) $$d$$p $(DESTDIR)$(pkgdatadir)/$$f"; \
	  $(INSTALL_DATA) $$d$$p $(DESTDIR)$(pkgdatadir)/$$f; \
	done

uninstall-pkgdataDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(pkgdata_DATA)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f $(DESTDIR)$(pkgdatadir)/$$f"; \
	  rm -f $(DESTDIR)$(pkgdatadir)/$$f; \
	done
tags: TAGS
TAGS:


DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)

top_distdir = ..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)

distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  if test -f $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    $(mkinstalldirs) "$(distdir)/$$dir"; \
	  fi; \
	  if test -d $$d/$$file; then \
	    cp -pR $$d/$$file $(distdir) \
	    || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(DATA)

installdirs:
	$(mkinstalldirs) $(DESTDIR)$(pkgdatadir)

install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES) stamp-h stamp-h[0-9]*

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
	-test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
clean: clean-am

clean-am: clean-generic mostlyclean-am

distclean: distclean-am

distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

info: info-am

info-am:

install-data-am: install-pkgdataDATA

install-exec-am:

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am

maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic

uninstall-am: uninstall-info-am uninstall-pkgdataDATA

.PHONY: all all-am check check-am clean clean-generic distclean \
	distclean-generic distdir dvi dvi-am info info-am install \
	install-am install-data install-data-am install-exec \
	install-exec-am install-info install-info-am install-man \
	install-pkgdataDATA install-strip installcheck installcheck-am \
	installdirs maintainer-clean maintainer-clean-generic \
	mostlyclean mostlyclean-generic uninstall uninstall-am \
	uninstall-info-am uninstall-pkgdataDATA


%.xmm: %.m4
	$(M4) $< > $@

%.rc: %.m4
	echo "keymap " $(basename $@) " = {" > $@
	$(M4) $< >> $@
	echo "}" >> $@

jcuken-cp866.xmm jcuken-cp866.rc:   jcuken-cp866.m4   jcuken.m4  cp866.m4
jcuken-cp1251.xmm jcuken-cp1251.rc:  jcuken-cp1251.m4  jcuken.m4  cp1251.m4
jcuken-cyr.xmm jcuken-cyr.rc:     jcuken-cyr.m4     jcuken.m4  
jcuken-iso5.xmm jcuken-iso5.rc:    jcuken-iso5.m4    jcuken.m4  iso5.m4
jcuken-koi8.xmm jcuken-koi8.rc:    jcuken-koi8.m4    jcuken.m4  koi8.m4
yawerty-cp866.xmm yawerty-cp866.rc:  yawerty-cp866.m4  yawerty.m4 cp866.m4
yawerty-cp1251.xmm yawerty-cp1251.rc: yawerty-cp1251.m4 yawerty.m4 cp1251.m4
yawerty-cyr.xmm yawerty-cyr.rc:    yawerty-cyr.m4    yawerty.m4
yawerty-iso5.xmm yawerty-iso5.rc:   yawerty-iso5.m4   yawerty.m4 iso5.m4
yawerty-koi8.xmm yawerty-koi8.rc:   yawerty-koi8.m4   yawerty.m4 koi8.m4  

$(LAYOUTS_CODES): $(LAYOUTS_AND_CODES)
	$(srcdir)/code-layout.sh

$(pkgdata_DATA): misc.m4 notice.m4 clear.m4
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== debian/changelog ===
xkeysw (1.1-1.2) unstable; urgency=low

  * NMU.
  * Update depends for pygtk transition (closes: #208128).
  * Update package description (closes: #161935).
  * Build depend on autotools-dev, update config.{sub,guess} (closes: #208402).

 -- Matthias Klose <doko@debian.org>  Thu, 25 Sep 2003 21:15:10 +0200

xkeysw (1.1-1.1) unstable; urgency=low

   * Non-maintainer upload according to the release manager's plan.
   * Bump automake version to 1.7 thanks to Artur R. Czechowski 
     (closes: #205993)
   * Remove config.log
   * Bump Standards version 
   * Remove CVS directory
   * Automaticaly update config.{guess|sub}

 -- Pierre Machard <pmachard@debian.org>  Tue,  2 Sep 2003 16:45:52 +0200

xkeysw (1.1-1) unstable; urgency=low

  * Added support for modifiers in hotkey
  * Added description of known restrictions into man page
  * Added two packages for xkeysw configuration via GUI
  * Added signal handler for SIGPIPE
  * Fixed layout switching when a window is killed.

 -- Dima Barsky <dima@debian.org>  Thu,  8 Aug 2002 13:12:35 +0100

xkeysw (1.0-3) unstable; urgency=low

  * Changed the description string (Closes: #113267)

 -- Dima Barsky <dima@debian.org>  Fri, 29 Mar 2002 20:04:16 +0000

xkeysw (1.0-2) unstable; urgency=low

  * Added build dependency on flex and bison (Closes: #112936)

 -- Dima Barsky <dima@debian.org>  Thu, 20 Sep 2001 16:11:12 +0100

xkeysw (1.0-1) unstable; urgency=low

  * Initial Release.

 -- Dima Barsky <dima@debian.org>  Mon, 18 Jun 2001 22:53:37 +0100

=== debian/control ===
Source: xkeysw
Section: x11
Priority: optional
Maintainer: Dima Barsky <dima@debian.org>
Build-Depends: debhelper (>= 4), automake1.7, m4 (>> 1.4), autoconf (>>2.50), xlibs-dev, flex, bison, autotools-dev
Standards-Version: 3.6.0

Package: xkeysw
Architecture: any
Depends: ${shlibs:Depends}
Description: A keyboard layout switch for the X Window System
 A GUI tool to generate and edit the configuration file for xkeysw,
 a keyboard layout switch for the X Window System.
 .
 Its main features are: 
 .
  - Per-window switching. You can have distinct layouts in individual windows.
  - Unlimited number of layouts.
  - Flexible switching. Any layout can have its own "hot keys" for
    switching to other layouts.

Package: xkeysw-config
Architecture: any
Depends: python (>= 2.3), python (<< 2.4), python-gtk-1.2, python-glade-1.2 (>= 0.6.9), python-xlib
Recommends: xkeysw
Description: xkeysw configurator
 A GUI tool to generate and edit the configuration file for xkeysw,
 a keyboard layout switch for the X Window System.
 .
 See the xkeysw description for more information.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=4

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	cp -p /usr/share/misc/config.sub .
	cp -p /usr/share/misc/config.guess .
	./makeconfig
	./configure --prefix= --mandir=\$${prefix}/usr/share/man --infodir=\$${prefix}/usr/share/info --datadir=\$${prefix}/usr/share --bindir=\$${prefix}/usr/bin

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/xkeysw.sgml > xkeysw.1

	touch build-stamp

clean:
	dh_testdir
	rm -f build-stamp configure-stamp config.cache config.status
	rm -f config.log

	# Add here commands to clean up after the build process.
	-$(MAKE) maintainer-clean

	rm -f config.sub config.guess

	dh_clean

install: build
	dh_testdir
	dh_clean -k
	dh_installdirs -v

	# Add here commands to install the packages into destenations.
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
	dh_install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installman
#	dh_installinfo
	dh_undocumented -pxkeysw-config xkeysw-config.1
	dh_installchangelogs
#	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## xkeysw 1.1-1.2ubuntu1

=== keymaps/Makefile ===
# Makefile.in generated by automake 1.9.4 from Makefile.am.
# keymaps/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/xkeysw
pkglibdir = $(libdir)/xkeysw
pkgincludedir = $(includedir)/xkeysw
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
subdir = keymaps
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
am__installdirs = "$(DESTDIR)$(pkgdatadir)"
pkgdataDATA_INSTALL = $(INSTALL_DATA)
DATA = $(pkgdata_DATA)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = aclocal-1.9
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = tar
AUTOCONF = autoconf
AUTOHEADER = autoheader
AUTOMAKE = automake-1.9
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -Wall -Wno-implicit
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"xkeysw\" -DVERSION=\"1.1\" -DYYTEXT_POINTER=1 -DSTDC_HEADERS=1 -DHAVE_SYS_WAIT_H=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_MALLOC_H=1 -DHAVE_UNISTD_H=1 -DRETSIGTYPE=void -DHAVE_STRERROR=1 
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LEX = flex
LEXLIB = -lfl
LEX_OUTPUT_ROOT = lex.yy
LIBOBJS = 
LIBS = 
LTLIBOBJS = 
M4 = /usr/bin/m4
MAKEINFO = makeinfo
OBJEXT = o
PACKAGE = xkeysw
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
VERSION = 1.1
X_CFLAGS =  -I/usr/X11R6/include
X_EXTRA_LIBS = 
X_LIBS =  -L/usr/X11R6/lib
X_PRE_LIBS =  -lSM -lICE
YACC = bison -y
ac_ct_CC = gcc
ac_ct_STRIP = 
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${prefix}/usr/bin
build_alias = 
datadir = ${prefix}/usr/share
exec_prefix = ${prefix}
host_alias = 
includedir = ${prefix}/include
infodir = ${prefix}/usr/share/info
install_sh = /home/daniel/bla/python/xkeysw-1.1/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/usr/share/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
prefix = 
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
XMM_RESOURCES = jcuken-cp866.xmm jcuken-iso5.xmm yawerty-cyr.xmm\
 jcuken-cp1251.xmm jcuken-koi8.xmm yawerty-iso5.xmm jcuken-cyr.xmm\
 yawerty-cp866.xmm yawerty-koi8.xmm yawerty-cp1251.xmm

RC_RESOURCES = jcuken-cp866.rc jcuken-iso5.rc yawerty-cyr.rc\
 jcuken-cp1251.rc jcuken-koi8.rc yawerty-iso5.rc jcuken-cyr.rc\
 yawerty-cp866.rc yawerty-koi8.rc yawerty-cp1251.rc

pkgdata_DATA = $(XMM_RESOURCES) $(RC_RESOURCES)
LAYOUTS_CODES = jcuken-cp866.m4 jcuken-cp1251.m4 jcuken-cyr.m4 jcuken-iso5.m4\
 jcuken-koi8.m4 yawerty-cp866.m4 yawerty-cp1251.m4 yawerty-cyr.m4\
 yawerty-iso5.m4 yawerty-koi8.m4

LAYOUTS_AND_CODES = misc.m4 notice.m4 clear.m4 jcuken.m4 yawerty.m4\
 cp866.m4 cp1251.m4 iso5.m4 koi8.m4

EXTRA_DIST = $(pkgdata_DATA) $(LAYOUTS_AND_CODES) README.keymaps code-layout.sh
MAINTAINERCLEANFILES = $(pkgdata_DATA) Makefile.in *-*.m4
CLEANFILES = *~
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  keymaps/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  keymaps/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
uninstall-info-am:
install-pkgdataDATA: $(pkgdata_DATA)
	@$(NORMAL_INSTALL)
	test -z "$(pkgdatadir)" || $(mkdir_p) "$(DESTDIR)$(pkgdatadir)"
	@list='$(pkgdata_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f=$(am__strip_dir) \
	  echo " $(pkgdataDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(pkgdatadir)/$$f'"; \
	  $(pkgdataDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(pkgdatadir)/$$f"; \
	done

uninstall-pkgdataDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(pkgdata_DATA)'; for p in $$list; do \
	  f=$(am__strip_dir) \
	  echo " rm -f '$(DESTDIR)$(pkgdatadir)/$$f'"; \
	  rm -f "$(DESTDIR)$(pkgdatadir)/$$f"; \
	done
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkdir_p) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(DATA)
installdirs:
	for dir in "$(DESTDIR)$(pkgdatadir)"; do \
	  test -z "$$dir" || $(mkdir_p) "$$dir"; \
	done
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
	-test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
clean: clean-am

clean-am: clean-generic mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

info: info-am

info-am:

install-data-am: install-pkgdataDATA

install-exec-am:

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-info-am uninstall-pkgdataDATA

.PHONY: all all-am check check-am clean clean-generic distclean \
	distclean-generic distdir dvi dvi-am html html-am info info-am \
	install install-am install-data install-data-am install-exec \
	install-exec-am install-info install-info-am install-man \
	install-pkgdataDATA install-strip installcheck installcheck-am \
	installdirs maintainer-clean maintainer-clean-generic \
	mostlyclean mostlyclean-generic pdf pdf-am ps ps-am uninstall \
	uninstall-am uninstall-info-am uninstall-pkgdataDATA


%.xmm: %.m4
	$(M4) $< > $@

%.rc: %.m4
	echo "keymap " $(basename $@) " = {" > $@
	$(M4) $< >> $@
	echo "}" >> $@

jcuken-cp866.xmm jcuken-cp866.rc:   jcuken-cp866.m4   jcuken.m4  cp866.m4
jcuken-cp1251.xmm jcuken-cp1251.rc:  jcuken-cp1251.m4  jcuken.m4  cp1251.m4
jcuken-cyr.xmm jcuken-cyr.rc:     jcuken-cyr.m4     jcuken.m4  
jcuken-iso5.xmm jcuken-iso5.rc:    jcuken-iso5.m4    jcuken.m4  iso5.m4
jcuken-koi8.xmm jcuken-koi8.rc:    jcuken-koi8.m4    jcuken.m4  koi8.m4
yawerty-cp866.xmm yawerty-cp866.rc:  yawerty-cp866.m4  yawerty.m4 cp866.m4
yawerty-cp1251.xmm yawerty-cp1251.rc: yawerty-cp1251.m4 yawerty.m4 cp1251.m4
yawerty-cyr.xmm yawerty-cyr.rc:    yawerty-cyr.m4    yawerty.m4
yawerty-iso5.xmm yawerty-iso5.rc:   yawerty-iso5.m4   yawerty.m4 iso5.m4
yawerty-koi8.xmm yawerty-koi8.rc:   yawerty-koi8.m4   yawerty.m4 koi8.m4  

$(LAYOUTS_CODES): $(LAYOUTS_AND_CODES)
	$(srcdir)/code-layout.sh

$(pkgdata_DATA): misc.m4 notice.m4 clear.m4
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== debian/changelog ===
xkeysw (1.1-1.2ubuntu1) hoary; urgency=low

  * Python transition (2.3 -> 2.4)
  * updated standards version (3.6.0 -> 3.6.1.1)

 -- Daniel Holbach <dh@mailempfang.de>  Tue, 15 Feb 2005 12:56:27 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Dima Barsky <dima@debian.org>
 Build-Depends: debhelper (>= 4), automake1.7, m4 (>> 1.4), autoconf (>>2.50), xlibs-dev, flex, bison, autotools-dev
-Standards-Version: 3.6.0
+Standards-Version: 3.6.1.1
 
 Package: xkeysw
 Architecture: any
@@ -21,7 +21,7 @@
 
 Package: xkeysw-config
 Architecture: any
-Depends: python (>= 2.3), python (<< 2.4), python-gtk-1.2, python-glade-1.2 (>= 0.6.9), python-xlib
+Depends: python (>= 2.4), python (<< 2.5), python-gtk-1.2, python-glade-1.2 (>= 0.6.9), python-xlib
 Recommends: xkeysw
 Description: xkeysw configurator
  A GUI tool to generate and edit the configuration file for xkeysw,

## xkeysw 1.1-1.3ubuntu1

=== debian/changelog ===
xkeysw (1.1-1.3ubuntu1) edgy; urgency=low

  * Merge from debian unstable.

 -- William Alexander Grant <william.grant@ubuntu.com.au>  Mon, 17 Jul 2006 18:58:33 +1000

xkeysw (1.1-1.3) unstable; urgency=high

  * Non-maintainer upload.
  * Split xlibs-dev build-dep (Closes: #346821).

 -- Luk Claes <luk@debian.org>  Fri, 20 Jan 2006 23:10:44 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: x11
 Priority: optional
 Maintainer: Dima Barsky <dima@debian.org>
-Build-Depends: debhelper (>= 4), automake1.7, m4 (>> 1.4), autoconf (>>2.50), xlibs-dev, flex, bison, autotools-dev
+Build-Depends: debhelper (>= 4), automake1.7, m4 (>> 1.4), autoconf (>>2.50), libx11-dev, x-dev, flex, bison, autotools-dev
 Standards-Version: 3.6.1.1
 
 Package: xkeysw
